> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# List Encryption Keys

GET https://%7Baccount-domain%7D.console.eon.io/api/projects/{projectId}/restore-accounts/{accountId}/regions/{region}/encryption-keys

Retrieves a list of encryption keys available to Eon in the specified region of the restore account.

Reference: https://docs.eon.io/api/api-reference/restore-connections/restore-accounts/aws-restore-account-assets/list-encryption-keys

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project the restore account is in. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `accountId` (string, required) — Eon-assigned ID of the restore account.
- `region` (string, required) — Region where the encryption keys are located.

### Query parameters

- `includeAwsManagedKeys` (boolean, optional, default: false) — Whether to include AWS-managed keys in the response.

## Response

### 200

Encryption keys retrieved.

- `keys` (list of EncryptionKey, required) — List of encryption keys.

## Types

### EncryptionKey

- `id` (string, required) — Cloud-provider-assigned ID of the encryption key.
- `arn` (string, required) — ARN of the encryption key.
- `aliasName` (string, required) — Encryption key alias.

## Examples

**Response**

```json
{
  "keys": [
    {
      "id": "string",
      "arn": "string",
      "aliasName": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/projects/projectId/restore-accounts/accountId/regions/region/encryption-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/projects/projectId/restore-accounts/accountId/regions/region/encryption-keys';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{account-domain}.console.eon.io/api/projects/projectId/restore-accounts/accountId/regions/region/encryption-keys")
  .header("Authorization", "Bearer <token>")
  .asString();
```